#include <avr/io.h>
#include "peri.h"

void init_peri() {
		// PD0..PD2 -> output
        DDRB |= (1<<PB0) | (1<<PB1) | (1<<PB2);

                // PD3,PD4 -> input
        DDRC &= ~((1<<PC0) | (1<<PC1) | (1<<PC2) | (1<<PC3) | (1<<PC4) | (1<<PC5) | (1<<PB3));

        //eneble pull-up resister on PD3
        PORTB |= (1<<PB3);

                // turn off all LEDs
                set_led_value(0);
}

void set_led(uint8_t pin, uint8_t state)
{
        if (pin > 2) return;
        if (state)
                 PORTB |= (1<<pin);
        else
                 PORTB &= ~(1<<pin);
}


void set_led_value(uint8_t value) {
        PORTB &= ~(0b111);
        PORTB |= (value & 0b111);
}

uint16_t read_adc(uint8_t channel)
{
        ADMUX = (0<<REFS1)|(1<<REFS0)
                | (0<<ADLAR)
                | (channel & 0b1111);

        ADCSRA = (1<<ADEN)
        	| (1<<ADPS2)|(1<<ADPS1)|(1<<ADPS0)
        	| (1<<ADSC);

        while ((ADCSRA & (1<<ADSC)))
                ;

        return ADCL + ADCH*256;
}



