from practicum import find_mcu_boards, McuBoard, PeriBoard
from time import sleep
 
devs = find_mcu_boards()
 
if len(devs) == 0:
    print("*** No practicum board found.")
    exit(1)
 
mcu = McuBoard(devs[0])
print("*** Practicum board found")
print("*** Manufacturer: %s" % \
        mcu.handle.getString(mcu.device.iManufacturer, 256))
print("*** Product: %s" % \
        mcu.handle.getString(mcu.device.iProduct, 256))
peri = PeriBoard(mcu)

Rt= 5
Ri = 10
Rm = 15
Lt = 8
Li = 10
Lm = 10
while True:
    peri.set_led(1,1) #set yellow led: on
    sleep(1)
    
    Rthumb = peri.get_Rthumb()
    Rindex = peri.get_Rindex()
    Rmid = peri.get_Rmid()
   
    Lthumb = peri.get_Lthumb()
    Lindex = peri.get_Lindex()
    Lmid = peri.get_Lmid()
    
    #NOTE: 0=red 1=yellow 2=green
    #if Right hand: Rock
    print("Rthumb %d | Rindex %d | Rmid %d | Lthumb %d | Lindex %d | Lmid %d " %(Rthumb, Rindex, Rmid, Lthumb, Lindex, Lmid)) 
    if Rthumb >= Rt and Rindex >= Ri and Rmid >= Rm :
        if Lthumb >= Lt and Lindex >= Li and Lmid >= Lm :
            continue #Left hand: Rock == Draw
        elif Lmid >= Lm and Lindex <= Li and Lthumb <= Lt:
            peri.set_led(0,1) #Left hand: Scissor == R win
        elif Lthumb <= Lt and Lindex <= Li and Lmid <= Lm :
            peri.set_led(2,1) #Left hand: Paper == L win
        else:
            peri.set_led(0,1)
            peri.set_led(1,1)
            peri.set_led(2,1)
    #if Right hand: Scissor
    elif Rmid >= Rm and Rthumb <= Rt and Rindex <= Ri:
        if Lthumb >= Lt and Lindex >= Li and Lmid >= Lm :
            peri.set_led(2,1) #Left hand: Rock == L win
        elif Lmid >= Lm and Lthumb <= Lt and Lindex <= Li:
            continue #Left hand: Scissor == Draw
        elif Lthumb <= Lt and Lindex <= Li and Lmid <= Lm :
            peri.set_led(0,1) #Left hand: Paper == R win
        else:
            peri.set_led(0,1)
            peri.set_led(1,1)
            peri.set_led(2,1)
    #if Right hand: Paper
    elif Rthumb <= Rt and Rindex <= Ri and Rmid <= Rm :
        if Lthumb >= Lt and Lindex >= Li and Lmid >= Lm :
            peri.set_led(0,1) #Left hand: Rock == R win
        elif Lmid >= Lm and Lindex <= Li and Lthumb <= Lt:
            peri.set_led(2,1) #Left hand: Scissor == L win
        elif Lthumb <= Lt and Lindex <= Li and Lmid <= Lm :
            continue #Left hand: Paper == Draw
        else:
            peri.set_led(0,1)
            peri.set_led(1,1)
            peri.set_led(2,1)
    else:
        peri.set_led(0,1)
        peri.set_led(1,1)
        peri.set_led(2,1)

    sleep(3)
    peri.set_led(1,0)
    peri.set_led(0,0)
    peri.set_led(2,0)
    sleep(1)
 
 
 


